#ifndef PW_CORE_POINT_HPP
#define PW_CORE_POINT_HPP

#include <pw/core/globals.hpp>

namespace pw {

template <typename T_>
struct point_ {

	T_ x, y;

    point_() = default;
	point_(T_ x_,T_ y_) : x(x_), y(y_) {}

};

typedef point_<real_t> point;

typedef point_<int> pointi;
typedef point_<float> pointf;
typedef point_<float> pointd;

}

#endif
